; Master Content.ini, 10.4.0, edited 2013-07-19
;.........................................................
[Common]
ContentName=Infor LN Content Pack 10.3.0 v003 for In-Context BI
;========================================================
;Specify the name of the setup that should be displayed
;in dialogs of the setup like
;ContentName=Infor Decisions
;========================================================

;.........................................................
[ModelSelection]
Model1=In-Context BI Content
Model2=
Model3=
Model4=
Model5=
Model6=
Model7=
Model8=
Model9=

;========================================================
List of available models and the relations for detail
;settings for the deployment
;The value for “Model1” is the relation to the detail
;section of the ini file
;Model2=
;Model3=
;Model4=
;Model5=
;Model6=
;Model7=
;Model8=
;Model9=
;Model10=
;========================================================

;.........................................................
RequirementsCheck=0
;========================================================
;Check whether OLAP, Designer and AppStudio is installed
;RequirementsCheck=<empty>	= activate [Default]
;	no key available	= activate [Default]
;RequirementsCheck=0		= deactivate
;RequirementsCheck=1		= activate
;========================================================

;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++Model1++++++++++++++++++
;.........................................................
[In-Context BI Content_ModelObjects]
;========================================================
;Section lists all detail settings for each model
;The section name has to be created as follows 
;[MODELNAME_ModelObjects] like [BSA_Template_ModelObjects]
;========================================================
;.........................................................
ForceOverwriteAdditionalFiles=1
;========================================================
;allows to overwrite already existing files if the target
;folder already exists.
;ForceOverwriteAdditionalFiles = <empty> Setup stops with warning
;No key available = Setup stops with warning
;ForceOverwriteAdditionalFiles =1 deletes target copy new files 
;ForceOverwriteAdditionalFiles =0 Setup stops with warning
;========================================================

;.........................................................
FeatureNodeSQLDB1=Repository Database
;FeatureNodeSQLDB2=
;FeatureNodeOLAPDB=OLAP Database
;FeatureNodeSampleDB=MS Access file with DSN entry
;========================================================
;Change the default name of the tree nodes 
;You can add a string as value to the keys. 
;========================================================
	
;.........................................................
fm1_SQL_DB1=1
;fm1_SQL_DB2=1
;fm1_OLAP_DB=0
;fm1_SAMPLE_DB=0
;========================================================
;Feature tree nodes - enabling and disabling 
;Using multiple models the feature selection key must match
;the model number: For example
;fm2_SQL_DB1 for your Model2 
;fm3_OLAP_DB=1 for Model3
;========================================================

;.........................................................
ContentPackageType=2
;========================================================
;ContentPackageType specifies which content is part of
;the deployment
;ContentPackageType=2 -- Repository only
;ContentPackageType=4 -- Designer only
;ContentPackageType=8 -- Application Studio Content only
;ContentPackageType=6 -- 2+4=6 Repository and Designer
;========================================================


;.........................................................
SQLServerDatabaseFile=
SQLServerDatabaseName=EBIRep_LN_10_3_0
ApplicationPackageType=Repository
SQLServerDatabaseFile2=

;SQLServerDatabaseName2=Best_Practices_Templates
;ApplicationPackageType2=Designer

;DesignerRegistrationName=Best Practices Templates
RepositoryRegistrationName=EBIRep_LN_10_3_0


;========================================================
;setup supports you with two different content deployment
;methods.
;Local version is coping and attaching a SQL server
;MDF file.
;Remote version is creating a new SQL database on a
;remote SQL Server and is importing Repository and / or
;Designer schemas and content. 
;Important: Read the documentation for more details
;========================================================

;.........................................................
;DesignerSQLInitialScript=Designer_SetupScript_ss2k.sql
;DesignerORACLEInitialScript=Designer_SetupScript_Oracle.sql
RepositorySQLInitialScript=BSA Initial Sql Server.sql
RepositoryORACLEInitialScript=BSA Initial Oracle.sql
;DesignerPackageName=Best Practices Templates_Designer.zip
RepositoryPackageName=EBIRep_LN_10_3_0.dat
;========================================================
;The keys are defining the name of the associated script 
;and package files saved to the PackageFiles folder 
;========================================================

;.........................................................
ContentParameters=0
;========================================================
;Lets you control which parameter screen should be
;displayed to the user. 
;ContentParameters=1 -- OLAP Alias
;ContentParameters=2 -- PM Applications (BPA) Alias
;ContentParameters=4 -- Infor Security
;ContentParameters=8 -- Infor BIS Alias
;ContentParameters=5 -- 1+4=5 OLAP Alias and Infor Security 
;ContentParameters=16 -- Rel Alias
;========================================================
;** RepositoryAliasRelationalProject=Workspace_Project
;** The following line got changed compared to the workshop
;** The key got the suffix 1 as we will support multiple aliases in the future
;**RepositoryAliasRelationalAlias1=<Alias defined in your content repository>
;** The next line was added compared to the workshop
;** It contains the descriptive string that will be displayed in the alias dialog
;**RepositoryAliasRelationalDialogDesc1=Access information to the Infor EAM core database
;**RepositoryAliasRelationalOLEDBDriverMS=SQL Server Native Client 10.0
;** The following line got changed compared to the workshop
;** The key got the value for the Oracle Provider
;**RepositoryAliasRelationalOLEDBDriverOracle=Oracle Provider for OLE DB
;** The following line got changed compared to the workshop
;** The key got the suffix 1 as we will support multiple aliases in the future
;**RepositoryAliasRelationalDBName1=<Your product standard schema name>
;**RepositoryAliasUser=Admin
;**RepositoryAliasPwd= 

;.........................................................
;RepositoryAliasOLAPProject=Best Practices Templates
;RepositoryAliasOLAPAlias=BSA OLAP Template
;========================================================
;For ContentParameters=1 - Project and Alias name
;========================================================

;RepositoryAliasBPAProject=BusEdReports
;RepositoryAliasBPAAlias=FASTPB
;========================================================
;For ContentParameters=2 - Project and Alias name
;========================================================

;RepositoryAliasBISProject=BusEdReports
;RepositoryAliasBISAlias=Infor BIS
;========================================================
;For ContentParameters=8 - Project and Alias name
;========================================================


;RepositoryAliasDBName=Best_Practices_Templates
;RepositoryAliasUser=Admin
;RepositoryAliasPwd=
;========================================================
;General settings like the name of SQL database
;and basic user to connect to the Repository
;========================================================

;.........................................................
;OLAPDatabaseName=Best_Practices_Templates_Olap
;========================================================
;Set the name to the OLAP database
;========================================================

;.........................................................
;SampleDatabaseFile=SampleCustomerData.mdb
;SampleDatabaseDSNName=Sample Customer Data
;========================================================
;deploy a sample MS access database and create DSN entry
;========================================================

;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++Model2++++++++++++++++++
;.........................................................
